Subject: Re: Trailers Containing Underscore or Dot Characters

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Nov 2024 07:31:20 +0900

Christian Couder <[email-masked]> writes:

>> Date:   Wed Nov 13 08:28:19 2024 +0300
>>     Test
>>     test_hoge: fuga:
>>     test.hoge: fuga:
>>     test-hoge: fuga
>> ```
>>
>> What's different between what you expected and what actually happened?
>>
>> The one for `--trailer "test-hoge: fuga"` is finished with nothing.
>> But The others for ones which have "_" or "." are finished with ":".
>
> Yeah, that's because '-' is allowed in trailer keys while '_' and '.' are not.

Thanks for responding.

I did not offhand recall seeing anywhere in our documentation set
that defines what a valid trailer key looks like, so I went and read
the interpret-trailers manual page and did not find any.  For
example, is this a valid trailer line, even if we know '-' is
"allowed in trailer keys"?

	-test: fuga

Is this a valid trailer line, when your configuration adds '-' to
the set of separator characters?

	test- fuga

We do not even have an entry in the glossary for "trailer", and that
probably is the first thing we need to fix.